package com.zanxiang.game.module.mybatis.entity;

import lombok.Data;

import java.time.LocalDate;

/**
 * @author : ZhangXianyu
 * @time : 2024-03-13 14:03:40
 * @description : 发送消息任务实体类
 */
@Data
public class SendMsgTask {

    /**
     * 主键任务的ID
     */
    private Long id;
    /**
     * 消息的内容
     */
    private String msg;
    /**
     * 任务的名称
     */
    private String taskName;
    /**
     * 任务的条件
     */
    private String taskCondition;
    /**
     * 游戏名称
     */
    private String gameName;
    /**
     * 创建人的用户ID
     */
    private Long createBy;
    /**
     * 创建时间
     */
    private LocalDate createTime;
    /**
     * 角色id列表
     */
    private String roleIds;



}
